using System.Drawing;
using System.Windows.Forms;

namespace HighWayIot.Winform.UserControlPages
{
    partial class MaterialConfigPage
    {
        /// <summary> 
        /// 必需的设计器变量。
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary> 
        /// 清理所有正在使用的资源。
        /// </summary>
        /// <param name="disposing">如果应释放托管资源，为 true；否则为 false。</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region 组件设计器生成的代码

        /// <summary> 
        /// 设计器支持所需的方法 - 不要修改
        /// 使用代码编辑器修改此方法的内容。
        /// </summary>
        private void InitializeComponent()
        {
            this.MaterialDataGridView = new System.Windows.Forms.DataGridView();
            this.Id = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.MaterialCode = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.MaterialName = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.MaterialType = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.ChildType = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.IsUse = new System.Windows.Forms.DataGridViewCheckBoxColumn();
            this.AddMaterial = new System.Windows.Forms.Button();
            this.ButtonPanel = new System.Windows.Forms.Panel();
            this.IsUseCheckBox = new System.Windows.Forms.CheckBox();
            this.IsAvailableUseCheckBox = new System.Windows.Forms.CheckBox();
            this.ChildComboBox = new System.Windows.Forms.ComboBox();
            this.label3 = new System.Windows.Forms.Label();
            this.MaterialTypeComboBox = new System.Windows.Forms.ComboBox();
            this.label2 = new System.Windows.Forms.Label();
            this.MaterialNameTextbox = new System.Windows.Forms.TextBox();
            this.label1 = new System.Windows.Forms.Label();
            this.SelectMaterial = new System.Windows.Forms.Button();
            this.DeleteMaterial = new System.Windows.Forms.Button();
            this.UpdateMaterial = new System.Windows.Forms.Button();
            ((System.ComponentModel.ISupportInitialize)(this.MaterialDataGridView)).BeginInit();
            this.ButtonPanel.SuspendLayout();
            this.SuspendLayout();
            // 
            // MaterialDataGridView
            // 
            this.MaterialDataGridView.AllowUserToAddRows = false;
            this.MaterialDataGridView.AllowUserToDeleteRows = false;
            this.MaterialDataGridView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
            | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.MaterialDataGridView.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.MaterialDataGridView.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.Id,
            this.MaterialCode,
            this.MaterialName,
            this.MaterialType,
            this.ChildType,
            this.IsUse});
            this.MaterialDataGridView.Location = new System.Drawing.Point(0, 65);
            this.MaterialDataGridView.Margin = new System.Windows.Forms.Padding(3, 2, 3, 2);
            this.MaterialDataGridView.Name = "MaterialDataGridView";
            this.MaterialDataGridView.ReadOnly = true;
            this.MaterialDataGridView.RowHeadersVisible = false;
            this.MaterialDataGridView.RowTemplate.Height = 25;
            this.MaterialDataGridView.Size = new System.Drawing.Size(1350, 898);
            this.MaterialDataGridView.TabIndex = 0;
            this.MaterialDataGridView.Tag = "";
            // 
            // Id
            // 
            this.Id.DataPropertyName = "Id";
            this.Id.HeaderText = "ID";
            this.Id.Name = "Id";
            this.Id.ReadOnly = true;
            this.Id.Width = 50;
            // 
            // MaterialCode
            // 
            this.MaterialCode.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
            this.MaterialCode.DataPropertyName = "MaterialCode";
            this.MaterialCode.HeaderText = "物料编码";
            this.MaterialCode.Name = "MaterialCode";
            this.MaterialCode.ReadOnly = true;
            // 
            // MaterialName
            // 
            this.MaterialName.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
            this.MaterialName.DataPropertyName = "MaterialName";
            this.MaterialName.HeaderText = "物料名称";
            this.MaterialName.Name = "MaterialName";
            this.MaterialName.ReadOnly = true;
            // 
            // MaterialType
            // 
            this.MaterialType.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
            this.MaterialType.DataPropertyName = "MaterialType";
            this.MaterialType.HeaderText = "物料类型";
            this.MaterialType.Name = "MaterialType";
            this.MaterialType.ReadOnly = true;
            // 
            // ChildType
            // 
            this.ChildType.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
            this.ChildType.DataPropertyName = "ChildType";
            this.ChildType.HeaderText = "物料子类型";
            this.ChildType.Name = "ChildType";
            this.ChildType.ReadOnly = true;
            // 
            // IsUse
            // 
            this.IsUse.DataPropertyName = "IsUse";
            this.IsUse.HeaderText = "是否启用";
            this.IsUse.Name = "IsUse";
            this.IsUse.ReadOnly = true;
            this.IsUse.Resizable = System.Windows.Forms.DataGridViewTriState.True;
            this.IsUse.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.Automatic;
            // 
            // AddMaterial
            // 
            this.AddMaterial.Location = new System.Drawing.Point(11, 11);
            this.AddMaterial.Margin = new System.Windows.Forms.Padding(3, 2, 3, 2);
            this.AddMaterial.Name = "AddMaterial";
            this.AddMaterial.Size = new System.Drawing.Size(103, 39);
            this.AddMaterial.TabIndex = 1;
            this.AddMaterial.Text = "添加物料信息";
            this.AddMaterial.UseVisualStyleBackColor = true;
            this.AddMaterial.Click += new System.EventHandler(this.AddMaterial_Click);
            // 
            // ButtonPanel
            // 
            this.ButtonPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.ButtonPanel.Controls.Add(this.IsUseCheckBox);
            this.ButtonPanel.Controls.Add(this.IsAvailableUseCheckBox);
            this.ButtonPanel.Controls.Add(this.ChildComboBox);
            this.ButtonPanel.Controls.Add(this.label3);
            this.ButtonPanel.Controls.Add(this.MaterialTypeComboBox);
            this.ButtonPanel.Controls.Add(this.label2);
            this.ButtonPanel.Controls.Add(this.MaterialNameTextbox);
            this.ButtonPanel.Controls.Add(this.label1);
            this.ButtonPanel.Controls.Add(this.SelectMaterial);
            this.ButtonPanel.Controls.Add(this.DeleteMaterial);
            this.ButtonPanel.Controls.Add(this.UpdateMaterial);
            this.ButtonPanel.Controls.Add(this.AddMaterial);
            this.ButtonPanel.Location = new System.Drawing.Point(0, 0);
            this.ButtonPanel.Margin = new System.Windows.Forms.Padding(3, 2, 3, 2);
            this.ButtonPanel.Name = "ButtonPanel";
            this.ButtonPanel.Size = new System.Drawing.Size(1350, 61);
            this.ButtonPanel.TabIndex = 4;
            // 
            // IsUseCheckBox
            // 
            this.IsUseCheckBox.AutoSize = true;
            this.IsUseCheckBox.Location = new System.Drawing.Point(1079, 34);
            this.IsUseCheckBox.Name = "IsUseCheckBox";
            this.IsUseCheckBox.Size = new System.Drawing.Size(72, 16);
            this.IsUseCheckBox.TabIndex = 12;
            this.IsUseCheckBox.Text = "是否启用";
            this.IsUseCheckBox.UseVisualStyleBackColor = true;
            // 
            // IsAvailableUseCheckBox
            // 
            this.IsAvailableUseCheckBox.AutoSize = true;
            this.IsAvailableUseCheckBox.Location = new System.Drawing.Point(1079, 11);
            this.IsAvailableUseCheckBox.Name = "IsAvailableUseCheckBox";
            this.IsAvailableUseCheckBox.Size = new System.Drawing.Size(120, 16);
            this.IsAvailableUseCheckBox.TabIndex = 11;
            this.IsAvailableUseCheckBox.Text = "是否查询启用状态";
            this.IsAvailableUseCheckBox.UseVisualStyleBackColor = true;
            // 
            // ChildComboBox
            // 
            this.ChildComboBox.FormattingEnabled = true;
            this.ChildComboBox.Location = new System.Drawing.Point(932, 20);
            this.ChildComboBox.Name = "ChildComboBox";
            this.ChildComboBox.Size = new System.Drawing.Size(124, 20);
            this.ChildComboBox.TabIndex = 10;
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Location = new System.Drawing.Point(873, 24);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(53, 12);
            this.label3.TabIndex = 9;
            this.label3.Text = "子类型：";
            // 
            // MaterialTypeComboBox
            // 
            this.MaterialTypeComboBox.FormattingEnabled = true;
            this.MaterialTypeComboBox.Location = new System.Drawing.Point(743, 20);
            this.MaterialTypeComboBox.Name = "MaterialTypeComboBox";
            this.MaterialTypeComboBox.Size = new System.Drawing.Size(124, 20);
            this.MaterialTypeComboBox.TabIndex = 8;
            this.MaterialTypeComboBox.SelectedIndexChanged += new System.EventHandler(this.MaterialTypeComboBox_SelectedIndexChanged);
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Location = new System.Drawing.Point(672, 24);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(65, 12);
            this.label2.TabIndex = 7;
            this.label2.Text = "物料类型：";
            // 
            // MaterialNameTextbox
            // 
            this.MaterialNameTextbox.Location = new System.Drawing.Point(526, 20);
            this.MaterialNameTextbox.Name = "MaterialNameTextbox";
            this.MaterialNameTextbox.Size = new System.Drawing.Size(130, 21);
            this.MaterialNameTextbox.TabIndex = 6;
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(456, 24);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(65, 12);
            this.label1.TabIndex = 5;
            this.label1.Text = "物料名称：";
            // 
            // SelectMaterial
            // 
            this.SelectMaterial.Location = new System.Drawing.Point(338, 11);
            this.SelectMaterial.Margin = new System.Windows.Forms.Padding(3, 2, 3, 2);
            this.SelectMaterial.Name = "SelectMaterial";
            this.SelectMaterial.Size = new System.Drawing.Size(103, 39);
            this.SelectMaterial.TabIndex = 4;
            this.SelectMaterial.Text = "查询物料信息";
            this.SelectMaterial.UseVisualStyleBackColor = true;
            this.SelectMaterial.Click += new System.EventHandler(this.SelectMaterial_Click);
            // 
            // DeleteMaterial
            // 
            this.DeleteMaterial.Location = new System.Drawing.Point(229, 11);
            this.DeleteMaterial.Margin = new System.Windows.Forms.Padding(3, 2, 3, 2);
            this.DeleteMaterial.Name = "DeleteMaterial";
            this.DeleteMaterial.Size = new System.Drawing.Size(103, 39);
            this.DeleteMaterial.TabIndex = 3;
            this.DeleteMaterial.Text = "删除物料信息";
            this.DeleteMaterial.UseVisualStyleBackColor = true;
            this.DeleteMaterial.Click += new System.EventHandler(this.DeleteMaterial_Click);
            // 
            // UpdateMaterial
            // 
            this.UpdateMaterial.Location = new System.Drawing.Point(120, 11);
            this.UpdateMaterial.Margin = new System.Windows.Forms.Padding(3, 2, 3, 2);
            this.UpdateMaterial.Name = "UpdateMaterial";
            this.UpdateMaterial.Size = new System.Drawing.Size(103, 39);
            this.UpdateMaterial.TabIndex = 2;
            this.UpdateMaterial.Text = "修改物料信息";
            this.UpdateMaterial.UseVisualStyleBackColor = true;
            this.UpdateMaterial.Click += new System.EventHandler(this.UpdateMaterial_Click);
            // 
            // MaterialConfigPage
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 12F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.BackColor = System.Drawing.SystemColors.ControlLight;
            this.Controls.Add(this.ButtonPanel);
            this.Controls.Add(this.MaterialDataGridView);
            this.Margin = new System.Windows.Forms.Padding(3, 2, 3, 2);
            this.Name = "MaterialConfigPage";
            this.Size = new System.Drawing.Size(1350, 963);
            ((System.ComponentModel.ISupportInitialize)(this.MaterialDataGridView)).EndInit();
            this.ButtonPanel.ResumeLayout(false);
            this.ButtonPanel.PerformLayout();
            this.ResumeLayout(false);

        }

        #endregion

        private DataGridView MaterialDataGridView;
        private Button AddMaterial;
        private Panel ButtonPanel;
        private Button DeleteMaterial;
        private Button UpdateMaterial;
        private Button SelectMaterial;
        private TextBox MaterialNameTextbox;
        private Label label1;
        private ComboBox ChildComboBox;
        private Label label3;
        private ComboBox MaterialTypeComboBox;
        private Label label2;
        private CheckBox IsUseCheckBox;
        private CheckBox IsAvailableUseCheckBox;
        private DataGridViewTextBoxColumn Id;
        private DataGridViewTextBoxColumn MaterialCode;
        private DataGridViewTextBoxColumn MaterialName;
        private DataGridViewTextBoxColumn MaterialType;
        private DataGridViewTextBoxColumn ChildType;
        private DataGridViewCheckBoxColumn IsUse;
    }
}
